{% extends 'base.html.twig' %}

{% block body %}
    <main class="container">
        <section>
            <div class="row">
                <div class="col-md-12 offset-1">
                    <h2 class="display-4 py-4">Détail de la peinture</h2>
                </div>
                <div class="col-md-12">
                    <img class="mw-100" src="{{ asset('img/painting/' ~ paint.image) }}" alt="{{ paint.title }}">
                </div>
                <div class="col-md-8">
                    <h3 class="display-5 py-4">{{ paint.title|capitalize }}</h3>
                    <h4>{{ paint.price|form_encode_currency('EUR') }}€</h4>
                    <h4>Création: {{ paint.createdAt|date('d/m/Y') }}</h4>
                    <h5>Catégorie: {{ paint.category.name }}</h5>
                    <h5>Technique: {{ paint.technical.name }}</h5>
                    <p class="lead">{{ paint.description }}</p>
                    <p>
                        <a href="{{ path('home') }}" class="btn btn-outline-dark">Retour à la gallerie</a>
                    </p>
                </div>
            </div>
        </section>


        <section>
            <h2>Commentaires</h2>
            <div>
                {{ form_start(form) }}
                {{ form_widget(form) }}
                <button type="submit" class="btn btn-outline-secondary">Poster</button>
                {{ form_end(form) }}
            </div>
            <div class="row">
                {% for com in coms %}
                        <div class="card col-md-12 mt-5">
                            <div class="card-body">
                                <h4>John Doe <a href="{{ path('view', {id: com.id, paint: paint.id}) }}">
                                        {% if com.isPublished %}
                                            <i class="icofont-eye text-success"></i>
                                        {% else %}
                                            <i class="icofont-eye text-danger"></i>
                                        {% endif %}
                                    </a>
                                </h4>
                                <p>{{ com.content }}</p>
                                <small>{{ com.createdAt|date }}</small>
                            </div>
                        </div>
                {% endfor %}
            </div>
        </section>
    </main>

{% endblock body %}